io.vertx.sqlclient

## Interface Row

- All Superinterfaces:
    Tuple

      public interface Row
      extends Tuple

  An object that represents a single row of the `execution result rowset`. Users can retrieve values with the `getByIndex` accessor methods or `getByColumnName` accessor methods, it's usually more efficient to use the former one because a column index lookup by could be saved.

- - ### Field Summary

    - ### Fields inherited from interface io.vertx.sqlclient.Tuple

      `JSON_NULL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <T> T` | `get(Class<T> type, String name)` Like `Tuple.get(Class, int)` but specifying the column `name` instead of the position.
    `default BigDecimal` | `getBigDecimal(String name)` Get `BigDecimal` value at `pos`.
    `default BigDecimal[]` | `getBigDecimalArray(String name)` Get an array of `BigDecimal` value at `pos`.
    `default Boolean` | `getBoolean(String name)` Get a boolean value at `pos`.
    `default Boolean[]` | `getBooleanArray(String name)` Get an array of `Boolean` value at `pos`.
    `default Buffer` | `getBuffer(String name)` Get a buffer value at `pos`.
    `default Buffer[]` | `getBufferArray(String name)` Get an array of `Buffer` value at `pos`.
    `int` | `getColumnIndex(String name)` Get a column position for the given column `name`.
    `String` | `getColumnName(int pos)` Get a column name at `pos`.
    `default Double` | `getDouble(String name)` Get a double value at `pos`.
    `default Double[]` | `getDoubleArray(String name)` Get an array of `Double` value at `pos`.
    `default Float` | `getFloat(String name)` Get a float value at `pos`.
    `default Float[]` | `getFloatArray(String name)` Get an array of `Float` value at `pos`.
    `default Integer` | `getInteger(String name)` Get an integer value at `pos`.
    `default Integer[]` | `getIntegerArray(String name)` Get an array of `Integer` value at `pos`.
    `default JsonArray` | `getJsonArray(String name)` Get a `JsonArray` value at `pos`.
    `default JsonArray[]` | `getJsonArrayArray(String name)` Get an array of `JsonArray` value at `pos`.
    `default JsonObject` | `getJsonObject(String name)` Get a `JsonObject` value at `pos`.
    `default JsonObject[]` | `getJsonObjectArray(String name)` Get an array of `JsonObject` value at `pos`.
    `default java.time.LocalDate` | `getLocalDate(String name)` Get `LocalDate` value at `pos`.
    `default java.time.LocalDate[]` | `getLocalDateArray(String name)` Get an array of `LocalDate` value at `pos`.
    `default java.time.LocalDateTime` | `getLocalDateTime(String name)` Get `LocalDateTime` value at `pos`.
    `default java.time.LocalDateTime[]` | `getLocalDateTimeArray(String name)` Get an array of `LocalDateTime` value at `pos`.
    `default java.time.LocalTime` | `getLocalTime(String name)` Get `LocalTime` value at `pos`.
    `default java.time.LocalTime[]` | `getLocalTimeArray(String name)` Get an array of `LocalTime` value at `pos`.
    `default Long` | `getLong(String name)` Get a long value at `pos`.
    `default Long[]` | `getLongArray(String name)` Get an array of `Long` value at `pos`.
    `default java.time.OffsetDateTime` | `getOffsetDateTime(String name)` Get `OffsetDateTime` value at `pos`.
    `default java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(String name)` Get an array of `OffsetDateTime` value at `pos`.
    `default java.time.OffsetTime` | `getOffsetTime(String name)` Get `OffsetTime` value at `pos`.
    `default java.time.OffsetTime[]` | `getOffsetTimeArray(String name)` Get an array of `OffsetTime` value at `pos`.
    `default Short` | `getShort(String name)` Get a short value at `pos`.
    `default Short[]` | `getShortArray(String name)` Get an array of `Short` value at `pos`.
    `default String` | `getString(String name)` Get a string value at `pos`.
    `default String[]` | `getStringArray(String name)` Get an array of `String` value at `pos`.
    `default java.time.temporal.Temporal` | `getTemporal(String name)` Get a temporal value at `pos`.
    `default java.time.temporal.Temporal[]` | `getTemporalArray(String name)` Get an array of `Temporal` value at `pos`.
    `default UUID` | `getUUID(String name)` Get `UUID` value at `pos`.
    `default UUID[]` | `getUUIDArray(String name)` Get an array of `UUID` value at `pos`.
    `default Object` | `getValue(String name)` Get an object value at `pos`.
    `default JsonObject` | `toJson()` Return a JSON object representation of the row.

    - ### Methods inherited from interface io.vertx.sqlclient.Tuple

      `addBigDecimal, addBigDecimalArray, addBoolean, addBooleanArray, addBuffer, addBufferArray, addDouble, addDoubleArray, addFloat, addFloatArray, addInteger, addIntegerArray, addJsonArray, addJsonArrayArray, addJsonObject, addJsonObjectArray, addLocalDate, addLocalDateArray, addLocalDateTime, addLocalDateTimeArray, addLocalTime, addLocalTimeArray, addLong, addLongArray, addOffsetDateTime, addOffsetDateTimeArray, addOffsetTime, addOffsetTimeArray, addShort, addShortArray, addString, addStringArray, addTemporal, addTemporalArray, addUUID, addUUIDArray, addValue, clear, deepToString, get, getBigDecimal, getBigDecimalArray, getBoolean, getBooleanArray, getBuffer, getBufferArray, getDouble, getDoubleArray, getFloat, getFloatArray, getInteger, getIntegerArray, getJsonArray, getJsonArrayArray, getJsonObject, getJsonObjectArray, getLocalDate, getLocalDateArray, getLocalDateTime, getLocalDateTimeArray, getLocalTime, getLocalTimeArray, getLong, getLongArray, getOffsetDateTime, getOffsetDateTimeArray, getOffsetTime, getOffsetTimeArray, getShort, getShortArray, getString, getStringArray, getTemporal, getTemporalArray, getUUID, getUUIDArray, getValue, of, of, of, of, of, of, of, size, tuple, tuple, types, wrap, wrap`

- - ### Method Detail

    - #### getColumnName

          String getColumnName(int pos)

      Get a column name at `pos`.
      Parameters:
        `pos` - the column position
      Returns:
        the column name or `null`

    - #### getColumnIndex

          int getColumnIndex(String name)

      Get a column position for the given column `name`.
      Parameters:
        `name` - the column name
      Returns:
        the column name or `-1` if not found

    - #### getValue

          default Object getValue(String name)

      Get an object value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBoolean

          default Boolean getBoolean(String name)

      Get a boolean value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getShort

          default Short getShort(String name)

      Get a short value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getInteger

          default Integer getInteger(String name)

      Get an integer value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLong

          default Long getLong(String name)

      Get a long value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getFloat

          default Float getFloat(String name)

      Get a float value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getDouble

          default Double getDouble(String name)

      Get a double value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getString

          default String getString(String name)

      Get a string value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonObject

          default JsonObject getJsonObject(String name)

      Get a `JsonObject` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonArray

          default JsonArray getJsonArray(String name)

      Get a `JsonArray` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getTemporal

          default java.time.temporal.Temporal getTemporal(String name)

      Get a temporal value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDate

          default java.time.LocalDate getLocalDate(String name)

      Get `LocalDate` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalTime

          default java.time.LocalTime getLocalTime(String name)

      Get `LocalTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDateTime

          default java.time.LocalDateTime getLocalDateTime(String name)

      Get `LocalDateTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetTime

          default java.time.OffsetTime getOffsetTime(String name)

      Get `OffsetTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetDateTime

          default java.time.OffsetDateTime getOffsetDateTime(String name)

      Get `OffsetDateTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBuffer

          default Buffer getBuffer(String name)

      Get a buffer value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getUUID

          default UUID getUUID(String name)

      Get `UUID` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBigDecimal

          default BigDecimal getBigDecimal(String name)

      Get `BigDecimal` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBooleanArray

          default Boolean[] getBooleanArray(String name)

      Get an array of `Boolean` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getShortArray

          default Short[] getShortArray(String name)

      Get an array of `Short` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getIntegerArray

          default Integer[] getIntegerArray(String name)

      Get an array of `Integer` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLongArray

          default Long[] getLongArray(String name)

      Get an array of `Long` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getFloatArray

          default Float[] getFloatArray(String name)

      Get an array of `Float` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getDoubleArray

          default Double[] getDoubleArray(String name)

      Get an array of `Double` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getStringArray

          default String[] getStringArray(String name)

      Get an array of `String` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonObjectArray

          default JsonObject[] getJsonObjectArray(String name)

      Get an array of `JsonObject` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getJsonArrayArray

          default JsonArray[] getJsonArrayArray(String name)

      Get an array of `JsonArray` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getTemporalArray

          default java.time.temporal.Temporal[] getTemporalArray(String name)

      Get an array of `Temporal` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDateArray

          default java.time.LocalDate[] getLocalDateArray(String name)

      Get an array of `LocalDate` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalTimeArray

          default java.time.LocalTime[] getLocalTimeArray(String name)

      Get an array of `LocalTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getLocalDateTimeArray

          default java.time.LocalDateTime[] getLocalDateTimeArray(String name)

      Get an array of `LocalDateTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetTimeArray

          default java.time.OffsetTime[] getOffsetTimeArray(String name)

      Get an array of `OffsetTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getOffsetDateTimeArray

          default java.time.OffsetDateTime[] getOffsetDateTimeArray(String name)

      Get an array of `OffsetDateTime` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBufferArray

          default Buffer[] getBufferArray(String name)

      Get an array of `Buffer` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getUUIDArray

          default UUID[] getUUIDArray(String name)

      Get an array of `UUID` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### getBigDecimalArray

          default BigDecimal[] getBigDecimalArray(String name)

      Get an array of `BigDecimal` value at `pos`.
      Parameters:
        `name` - the column
      Returns:
        the value or `null`

    - #### get

          default <T> T get(Class<T> type,
                            String name)

      Like `Tuple.get(Class, int)` but specifying the column `name` instead of the position.

    - #### toJson

          default JsonObject toJson()

      Return a JSON object representation of the row.

      Column names are mapped to JSON keys.

      The following rules are applied for the column values:

      - number, boolean and string are preserved
      - the `null` value is preserved
      - JSON elements are preserved
      - `Buffer` are converted to base64 encoded strings
      - array is mapped `JsonArray`
      - otherwise the type converted to a string
      Returns:
        the json representation

Copyright © 2020 Eclipse. All rights reserved.